body{
    margin: 0;
}

.section1{
    display: flex;
    width: 100%;
    height: 100vh;
    align-items: center;
    background-color: #2C3E50;
    flex-direction: column;
    gap: 2rem;
     background-image: url('../img/pngegg.png');
    background-size: 70vh;
    background-position: right;
    background-repeat: no-repeat;

    & > img{
        margin-top: 7vh;
        height: 8vh;
    }

    & > .emailEntry{
        display: none;
        flex-direction: column;
        width: 35%;
        background-color: #ECF0F1;
        height: 42vh;
        border-radius: 10px;
        box-shadow: 0px 0px 10px #444545;

        & > a {
            display: flex;
            align-self: self-start;
            font-size: 1.1rem;
            float: left!important;
            cursor: pointer;
            padding: 15px 0px 0px 15px;
            text-decoration: none;
            height: 10px;
            color: #2C3E50;
            position: absolute;
        }

        & > .msgHolder{
            height: 3.5rem;
            display: flex;
            align-items: flex-start;
            justify-content: center;

            & > .error{
                display: flex;
                border: 2px solid red;
                background-color: rgba(185, 1, 1, 0.745);
                padding: 10px;
                font-size: 13px;
                font-family: "Stack Sans Text", sans-serif;
                border-radius: 5px;
                color: whitesmoke;
                font-weight: 100;
                justify-content: center;
                align-items: center;
                gap: 5px;
                text-align: center;

                & > i{
                    font-size: 15px;
                }
            }
        }

        & > .containerHolder{
            display: flex;
            flex-direction: column;
            width: 80%;
            align-self: center;
            margin-left: 20px;
            & > h1{
                font-size: 1.5rem;
                font-family: "Stack Sans Text", sans-serif;
                margin: 0;
            }

            & > p{
                font-size: 15px;
            }

            & > form{
                display: flex;
                flex-direction: column;
                justify-content: center;
                width: 100%;
                
                & > input {
                    width: 96%;
                    height: 40px;
                    border-radius: 6px;
                    border: 2px solid #7F8C8D;
                    transition: .5s ease;
                    background: rgba(210, 210, 210, 0.4);
                    backdrop-filter: blur(8.7px);
                    -webkit-backdrop-filter: blur(3.1px);
                    color: black;
                    font-size: 14px;
                    padding-left: 10px;

                    &:focus, &:hover {
                        outline: none;
                        border: 2px solid black ;
                        box-shadow: 0 0 0 3px rgba(194, 194, 194, 0.27);
                        background-color: rgba(206, 204, 204, 0.239);

                        &::placeholder{
                            color: rgb(64, 64, 64) ;
                        }
                    }
                }

                & > button{
                    display: flex;
                    background-color: #2C3E50;
                    align-self: flex-end;
                    height: 2.5rem;
                    width: 9rem;
                    align-items: center;
                    justify-content: center;
                    border-radius: 6px;
                    color: white;
                    font-size: 14px;
                    cursor: pointer;
                    margin-top: 20px;
        
                    &:hover{
                        background-color: #243241;
                    }
                }
            }
        }
    }

    & > .codeEntry{
        display: none;
        flex-direction: column;
        width: 35%;
        background-color: #ECF0F1;
        height: 57vh; 
        border-radius: 10px;
        box-shadow: 0px 0px 10px #444545;

        & > a {
            display: flex;
            align-self: self-start;
            font-size: 1.1rem;
            float: left!important;
            cursor: pointer;
            padding: 15px 0px 0px 15px;
            text-decoration: none;
            height: 10px;
            color: #2C3E50;
            position: absolute;
        }

        & > .msgHolder{
            height: 3.5rem;
            display: flex;
            align-items: flex-start;
            justify-content: center;

            & > .error{
                display: flex;
                border: 2px solid red;
                background-color: rgba(185, 1, 1, 0.745);
                padding: 10px;
                font-size: 13px;
                font-family: "Stack Sans Text", sans-serif;
                border-radius: 5px;
                color: whitesmoke;
                font-weight: 100;
                justify-content: center;
                align-items: center;
                gap: 5px;
                text-align: center;

                & > i{
                    font-size: 15px;
                }
            }

            & > .success{
                display: flex;
                border: 2px solid green;
                background-color: rgba(0, 196, 0, 0.655);
                padding: 10px;
                font-size: 13px;
                font-family: "Stack Sans Text", sans-serif;
                border-radius: 5px;
                color: whitesmoke;
                font-weight: 100;
                justify-content: center;
                align-items: center;
                gap: 5px;
                text-align: center;

                & > i{
                    font-size: 15px;
                }                
            }
        }

        & > .containerHolder{
            display: flex;
            flex-direction: column;
            width: 80%;
            padding: 10px 0px 0px 40px;
            justify-content: center;
            align-items: center;
            
            & > i{
                font-size: 3rem;
                color: #2C3E50 ;
            }

            & > h1{
                font-size: 1.5rem;
                font-family: "Stack Sans Text", sans-serif;
                margin: 0;
                margin-top: 15px;
            }

            & > p{
                font-size: 15px;
            }

            & > .codeForm{
                display: flex;
                flex-direction: column;
                justify-content: center;
                width: 100%;
                align-items: center;
                margin-top: 10px;

                & > .input-fields {
                    display: flex;
                    gap: 10px;
                    flex-direction: row;      

                    & > input {
                        height: 3rem;
                        width: 3rem;
                        outline: none;
                        text-align: center;
                        font-weight: 700;
                        font-size: 1.5rem;
                        color: black;
                        border-radius: 5px;
                        border: none;
                        background: rgba(172, 171, 171, 0.4);
                        backdrop-filter: blur(8.7px);
                        -webkit-backdrop-filter: blur(3.1px);
                        cursor: pointer;

                        &:focus{
                            box-shadow: inset 10px 10px 10px rgba(0, 0, 0, .15);
                            transform: scale(1.05);
                            transition: 0.5s;
                        }
                    }
                }

                & > button{
                    display: flex;
                    background-color: #2C3E50;
                    height: 2.5rem;
                    width: 9rem;
                    align-items: center;
                    justify-content: center;
                    border-radius: 6px;
                    color: white;
                    font-size: 14px;
                    cursor: pointer;
                    margin-top: 20px;

                    &:hover{
                        background-color: #243241;
                    }
                }
            }

            & > .resendForm{
                display: flex;

                & > button{
                    display: flex;
                    background-color: transparent;
                    border: none;
                    cursor: pointer;
                    text-decoration: underline;
                    font-family: "Stack Sans Text", sans-serif;
                    color: #2C3E50;
                    padding-top: 10px;
                }
            }
        }
    }

    & > .newPassword{
        display: none;
        flex-direction: column;
        width: 33%;
        background-color: #ECF0F1;
        height: 47vh;
        border-radius: 10px;
        box-shadow: 0px 0px 10px #444545;
        align-items: center;

        & > a {
            display: flex;
            align-self: self-start;
            font-size: 1.1rem;
            float: left!important;
            cursor: pointer;
            padding: 15px 0px 0px 15px;
            text-decoration: none;
            height: 10px;
            color: #2C3E50;
            position: absolute;
        }

        & > .msgHolder{
            display: flex;
            align-items: center;
            justify-content: center;
            width: 92%;
            height: 3.5rem;
            margin-left: 35px;

            & > .error{
                display: flex;
                border: 2px solid red;
                background-color: rgba(185, 1, 1, 0.745);
                padding: 10px;
                font-size: 13px;
                font-family: "Stack Sans Text", sans-serif;
                border-radius: 5px;
                color: whitesmoke;
                font-weight: 100;
                justify-content: flex-start;
                align-items: center;
                gap: 3px;
            }
        }

        & > .containerHolder{
            display: flex;
            flex-direction: column;
            width: 80%;
            align-self: center;
            margin-left: 20px;

            & > h1{
                font-size: 1.5rem;
                font-family: "Stack Sans Text", sans-serif;
                margin: 0;
            }

            & > p{
                font-size: 15px;
            }

            & > form{
                display: flex;
                flex-direction: column;
                justify-content: center;
                width: 100%;
                gap: 15px;

                & > .input-holder {
                    display: flex;
                    line-height: 30px;
                    align-items: center;
                    position: relative;
                    width: 100%;
                    height: 45px;

                    & > i {
                        position: absolute;
                        left: 1rem;
                        fill: none;
                        width: 1rem;
                        height: 1rem;
                            color: rgb(64, 64, 64) ;
                        z-index: 1;
                    }

                    & > input {
                        width: 100%;
                        height: 100%;
                        line-height: 30px;
                        padding: 0 1rem;
                        padding-left: 3rem;
                        border: 2px solid #7F8C8D;
                        border-radius: 6px;
                        outline: none;
                        transition: .5s ease;
                        background: rgba(210, 210, 210, 0.4);
                        backdrop-filter: blur(8.7px);
                        -webkit-backdrop-filter: blur(3.1px);
                        color: black;
                        font-size: 14px;

                        &:focus, &:hover {
                        outline: none;
                        border: 2px solid black ;
                        box-shadow: 0 0 0 3px rgba(194, 194, 194, 0.27);
                        background-color: rgba(206, 204, 204, 0.239);

                            &::placeholder{
                            color: rgb(64, 64, 64) ;
                            }
                        }
                    }

                    & > .toggle-btn {
                        position: absolute;
                        right: 1rem;
                        cursor: pointer;
                        user-select: none;
                            color: rgb(64, 64, 64) ;
                        font-size: 14px;
                    }
                }

                & > button{
                    display: flex;
                    background-color: #2C3E50;
                    align-self: flex-end;
                    height: 2.5rem;
                    width: 9rem;
                    align-items: center;
                    justify-content: center;
                    border-radius: 6px;
                    color: white;
                    font-size: 14px;
                    cursor: pointer;
                    
                    &:hover{
                        background-color: #243241;
                    }
                }
            }
        }
    }
}

.emailEntry.active, .codeEntry.active, .newPassword.active {
    display: flex;
}
